**Free
// NumPre_Ex
// ----------
// Example program for use of Num2BPre() and Num2SPre() functions.
//
// Jesper Wachs, Version 1, April 2019.
//
// The source member are delivered 'as is'.
//
// Neither Jesper Wachs nor anyone else who has been involved in
// the creation, production or delivery of this product shall be
// liable for any direct, indirect, consequential or incidental
// damages (including damages for loss of business profits,
// business interruption, loss of business information, and the
// like) arising out of the use or inability to use such product
// even if Jesper Wachs has been advised of the possibility of
// such damages.
//

Dcl-F NUMPREDF WORKSTN ;

// Copymember for imported functions.
// ----------------------------------
/copy qrpglesrc,numpre_pr

// Global work fields.
// -------------------

// Default suffixes for the 1000 and 1024 based numbers.

Dcl-S SuffixesByte Char(50) Inz('B         KB        +
                                 MB        GB        TB        ');
Dcl-S SuffixesStd  Char(50) Inz('          T         +
                                 Mil       Mia       Bil       ');

// Set for 'Standard'.

SType = 1;

// Set the suffixes.

SStdMask = SuffixesStd;
SBytMask = SuffixesByte;

Exfmt Screen;

// Calculate as long as the user have not pressed F3.

DoW *InKC = *Off;

  CallP Num2BSuff(SBytMask);
  CallP Num2SSuff(SStdMask);
  Select;
    When SType = 1;
       SResult = Nbr2SPre(SNumber: *Off);
    When SType = 2;
       SResult = Nbr2SPre(SNumber: *On);
    When SType = 3;
       SResult = Nbr2BPre(SNumber: *Off);
    When SType = 4;
       SResult = Nbr2BPre(SNumber: *On);
  EndSl;

  Exfmt Screen;
EndDo;

// Bye for now.

*InLR = *On;
Return;
